STTY(1)

NAVN
stty - change and print terminal line settings

OVERSIKT
stty [-F ENHET | --file=ENHET] [VALG]...
stty [-F ENHET | --file=ENHET] [-a|--all]
stty [-F ENHET | --file=ENHET] [-g|--save]

BESKRIVELSE

Skriv ut eller endre terminalegenskaper.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-a, --all
    Skriv ut gjeldende innstillinger i menneskevennlig format.

-g, --save
    Skriv ut gjeldende innstillinger i stty-vennlig format.

-F, --file=DEVICE
    open and use DEVICE instead of standard input

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Et valgfritt «-»-tegn før VALG gir negativ verdi. En «*» markerer valg som ikke er POSIX. Vertssystemet bestemmer hvilke innstillinger som er tilgjengelig.

  Spesialtegn:

* discard TEGN
    Valgt TEGN slår på/av forkasting av utdata.

eof TEGN
    TEGN sender et slutt-på-fil-(eof-)signal (avslutter inndata).

eol TEGN
    TEGN avslutter linja.

* eol2 TEGN
    Bytt mellom standard og valgt linjeslutt-TEGN.

erase TEGN
    Valgt TEGN sletter forrige skrevne tegn.

intr TEGN
    TEGN sender et forstyrrelsessignal.

kill TEGN
    TEGN sletter gjeldende linje.

* lnext TEGN
    Valgt TEGN går til neste anført tegn.

quit TEGN
    Valgt TEGN sender er avslutningssignal.

* rprnt TEGN
    Valgt TEGN tegner opp gjeldende linje på nytt.

start TEGN
    TEGN starter stanset utdata på nytt.

stop TEGN
    TEGN stanser utdata.

susp TEGN
    TEGN sender et terminal-stoppsignal.

* swtch TEGN
    Valgt TEGN bytter til et annet skall-lag.

* werase TEGN
    Valgt TEGN sletter sist innskrevet ord.

  Spesialinnstillinger:

N   Juster baudfrekvens på inn- og utdata.

cols N
    Fortell kjernen at terminalen har N antall kolonner.

* columns N
    Tilsvarer «cols N».

* [-]drain
    Vent med å ta innstillinger i bruk til overføring er ferdig (standard: på).

ispeed N
    Bruk N som inndata-hastighet.

* line N
    Bruk linjedisiplin N.

min N
    Bruk sammen med -icanon for å kreve minst N tegn for fullstendig lesing.

ospeed N
    Velg N som utdata-hastighet.

rows N
    Fortell kjernen at terminalen har N antall rader.

size
    Skriv ut antall rader og kolonner som kjernen mener at terminalen har.

speed
    Skriv ut terminalhastigheten.

time N
    Bruk sammen med -icanon for å bruke N tideler av et sekund som lesetidsavbrudd.

  Kontrolloppsett:

[-]clocal
    Slå av modem-kontrollsignaler.

[-]cread
    Tillat mottak av inndata.

* [-]crtscts
    Slå på RTS-/CTS-hilsefunksjon.

csN Bruk tegnstørrelsen N (målt i bit), N [5-8].

[-]cstopb
    Bruk to stoppebit per tegn (ett ved bruk av «-»).

[-]hup
    Send et legg på-signal når siste prosess lukker tty-en.

[-]hupcl
    Tilsvarer [-]hup.

[-]parenb
    Lag paritetsbit i utdata, og forvent paritetsbit i inndata.

[-]parodd
    Velg oddetallsparitet (eller partallsparitet ved bruk av «-»).

* [-]cmspar
    Bruk «stick»-paritet (merke/mellomrom).

  Inndata-innstillinger:

[-]brkint
    Avbrudd gir et forstyrrelsessignal.

[-]icrnl
    Oversett linjeskift-tegn til linjeskift.

[-]ignbrk
    Ignorer avbruddstegn.

[-]igncr
    Ignorer linjeskift-tegn.

[-]ignpar
    Ignorer tegn med paritetsfeil.

* [-]imaxbel
    Pip, og ikke rens et fullt mellomlager for inndata-tegn.

[-]inlcr
    Oversett linjeskift til linjeskift-tegn.

[-]inpck
    Aktiver paritetssjekk av inndata.

[-]istrip
    Fjern høyste (åttende) bit av inndatategn.

* [-]iutf8
    Forvent at inndatategn er kodet i UTF-8-format.

* [-]iuclc
    Erstatt store bokstaver med små.

* [-]ixany
    La hvilket som helst tegn starte utdata på nytt, og ikke bare starttegn.

[-]ixoff
    Slå på sending av start- og stopptegn.

[-]ixon
    Slå på flytkontroll av XON/XOFF.

[-]parmrk
    Marker paritetsfeil (med en 255-0-tegnsekvens).

[-]tandem
    Tilsvarer [-]ixoff.

  Utdata-oppsett:

* bsN
    Forsinkelse av rettetast (N [0-1]).

* crN
    Forsinkelse av enter-tast (N [0-3]).

* ffN
    Forsinkelse av skjemakilde (N [0-1]).

* nlN
    Forsinkelse av linjeskift (N [0-1]).

* [-]ocrnl
    Oversett linjeskift-tegn til linjeskift.

* [-]ofdel
    Bruk slettetegn som fyll i stedet for null-tegn.

* [-]ofill
    Bruk utfyllingstegn i stedet for å beregne forsinkelse.

* [-]olcuc
    Gjør om små bokstaver til store bokstaver.

* [-]onlcr
    Oversett linjeskift til linjeskift-tegn + linjeskift.

* [-]onlret
    Linjeskift lager linjeskift-tegn.

* [-]onocr
    Ikke skriv ut linjeskift-tegn i første kolonne.

[-]opost
    Etterbehandle utdata.

* tabN
    Horisontal tab-forsinkelse (N [0-3]).

* tabs
    Tilsvarer «tab0».

* -tabs
    Tilsvarer «tab3».

* vtN
    Vertikal tab-forsinkelse (N [0-1]).

  Lokale innstillinger:

[-]crterase
    Vis slettetegn som rettetast+mellomrom+rettetast.

* crtkill
    Drep linjer ved å følge «echoprt»- og «echoe»-innstillinger.

* -crtkill
    Drep linjer ved å følge «echoctl»- og «echok»-innstillinger.

* [-]ctlecho
    Vis kontrolltegn med hattnotasjon ('^c').

[-]echo
    Vis inndata-tegn.

* [-]echoctl
    Tilsvarer «[-]ctlecho».

[-]echoe
    Tilsvarer «[-]crterase».

[-]echok
    Vis linjeskift selv når andre tegn ikke vises.

* [-]echoke
    Tilsvarer «[-]crtkill».

[-]echonl
    Vis linjeskift selv når andre tegn ikke vises.

* [-]echoprt
    Vis slettede tegn baklengs mellom «\» og «/».

* [-]extproc
    Slå på «LINEMODE» (nyttig ved forsinkede lenker).

* [-]flusho
    Forkast utdata.

[-]icanon
    Slå på spesialtegn: «erase», «kill», «werase», «rprnt».

[-]iexten
    Slå på spesialtegn som ikke samsvarer med POSIX.

[-]isig
    Bruk spesialtegn for forstyrrelse, avslutning og hvilemodus.

[-]noflsh
    Ikke rens etter spesialtegn for forstyrrelse og avslutning.

* [-]prterase
    Tilsvarer «[-]echoprt».

* [-]tostop
    Stopp bakgrunnsjobber som prøver å skrive til terminalen.

* [-]xcase
    Bruk med «icanon» og skiftetegnet «\» for store bokstaver.

  Kombinasjonsinnstillinger:

* [-]LCASE
    Tilsvarer «[-]lcase».

cbreak
    Tilsvarer -icanon.

-cbreak
    Tilsvarer «icanon».

cooked
    Tilsvarer «brkint», «ignpar», «istrip», «icrnl», «ixon», «opost», «isig», «icanon», «eof», og «eol» med standardverdier.

-cooked
    Tilvarer «raw».

crt Tilsvarer «echoe echoctl echoke».

dec Tilsvarer «echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u».

* [-]decctlq
    Tilsvarer «[-]ixany».

ek  Slett og drep tegn til standardverdier.

evenp
    Tilsvarer «parenb -parodd cs7».

-evenp
    Tilsvarer «-parenb cs8».

* [-]lcase
    Tilsvarer «xcase iuclc olcuc».

litout
    Tilsvarer «-parenb -istrip -opost cs8».

-litout
    Tilsvarer «parenb istrip opost cs7».

nl  Tilsvarer -icrnl -onlcr.

-nl Tilsvarer «icrnl -inlcr -igncr onlcr -ocrnl -onlret».

oddp
    Tilsvarer «parenb parodd cs7».

-oddp
    Tilsvarer «-parenb cs8».

[-]parity
    Tilsvarer «[-]evenp».

pass8
    Tilsvarer «-parenb -istrip cs8».

-pass8
    Tilsvarer «parenb istrip cs7».

raw Tilsvarer «-ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0».

-raw
    Tilsvarer «cooked».

sane
    Tilsvarer «cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho», med standardverdier for alle spesialtegn.

Håndter tty-linje som er koblet til standard inndata. Uten argumenter skrives baudrate, linjedisiplin og avvik fra stty ut. TEGN tolkes bokstavelig eller kodet, som i «^c», «0x37», «0177» eller «127». Spesialverdiene «^-» eller «undef» brukes til å slå av spesialtegn.

FORFATTER
Skrevet af David MacKenzie.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2026 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/stty>
eller lokalt: info '(coreutils) stty invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.